[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TField.Validate

Validate the data buffer

## Declaration

Source position: db.pas line 402

`public procedure TField.Validate(`
`Buffer: Pointer`
`);`

## Arguments

`Buffer` |  | Buffer with the data to be validated

## Description

Validate is called by SetData prior to writing the data from Buffer to the dataset buffer. It will call the TField.OnValidate event handler, if one is set, to allow the application programmer to program additional checks.

## See also

TField.SetData |  | Save the field data
TField.OnValidate |  | Event to validate the value of a field before it is written to the data buffer